Subject: RE: [External] : Re: bug#24982: 24.5; way to let Elisp reader ignore unreadable #(...) constructs

From: Drew Adams <[email-masked]>
Date: Sun, 13 Feb 2022 18:03:44 +0000

> There's nothing unreadable about #("..."), which is the only thing
> that's printed as #(...).

I agree that this could usefully be generalized.
As I wrote:

  I was thinking of #(...), but yes,
  the situation is more general.  It's about #
  syntax that's found to be invalid, but for cases
  where # nevertheless can tell where the sexp
  parsing should end (and so can advance point there).

The reason I'm interested in #(...) is stated at
the outset - for Emacs releases where that isn't
supported.  If the bug is fixed in Elisp then I
could likely add whatever the fix is (a macro or
whatever) to my code, to handle such older releases.

But sure, let's consider handling # constructs
more generally, as I said in my previous mail.